lists

# Class: lamNetgroupList

Source Location: /lib/types/netgroup.inc

### Class Overview

    lamList
       |
       --lamNetgroupList

Generates the list view.

#### Author(s):

- Roland Gruber

### Methods

- __construct

### Inherited Constants

#### Class: lamList

lamList::LIST_SIZE_OPTION_NAME

### Inherited Variables

#### Class: lamList

lamList::$attrArray
lamList::$descArray
lamList::$entries
lamList::$filterPart
lamList::$filterText
lamList::$labels
lamList::$maxPageEntries
lamList::$page
lamList::$possibleSuffixes
lamList::$refresh
lamList::$sortColumn
lamList::$sortDirection
lamList::$suffix
lamList::$type

### Inherited Methods

#### Class: lamList

lamList::__construct()
  Constructor
lamList::cmp_array()
  Compare function used for usort-method
lamList::getAdditionalTools()
  Returns a list of lamListTool objects to display next to the edit/delete buttons.
lamList::listBuildFilter()
  Builds the regular expressions from the filter values.
lamList::listConfigurationChanged()
  Called when the configuration options changed.
lamList::listDoPost()
  Manages all POST actions (e.g. button pressed) for the account lists.
lamList::listDrawNavigationBar()
  Draws a navigation bar to switch between pages
lamList::listGetAllConfigOptions()
  Returns a list of possible configuration options.
lamList::listGetConfigOptionByID()
  Returns the configuration option with the given ID.
lamList::listGetParams()
  Sets some internal parameters.
lamList::listPrintButtons()
  Prints the create and delete buttons.
lamList::listPrintConfigurationPage()
  Prints the list configuration page.
lamList::listPrintFooter()
  Prints the HTML footer.
lamList::listPrintHeader()
  Prints the HTML header.
lamList::listPrintRedirectMessages()
  Prints messages when another page (e.g. delete/upload) redirects to the list view.
lamList::listPrintTableBody()
  Prints the entry list
lamList::listPrintTableCellContent()
  Prints the content of a cell in the account list for a given LDAP entry and attribute.
lamList::listPrintTableHeader()
  Prints the attribute and filter row at the account table head
lamList::listRefreshData()
  Rereads the entries from LDAP.
lamList::listShowOUSelection()
  Prints a combobox with possible sub-DNs.
lamList::listSort()
  Sorts an account list by a given attribute
lamList::showPage()
  Prints the HTML code to display the list view.

### Class Details

[line 147]
Generates the list view.

#### Tags:

author: | Roland Gruber

[ Top ]

### Class Methods

### constructor __construct [line 155]

`lamList __construct( string $type)`

Constructor

#### Tags:

return: | list object

Overrides lamList::__construct() (Constructor)

#### Parameters:

string | $type | account type

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:58 +0100 by phpDocumentor 1.4.1